Skip to main content
`Ctrl`+`K`

# PetscSectionAddFieldDof

Adds a number of degrees of freedom associated with a field on a given point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionAddFieldDof(PetscSection s, PetscInt point, PetscInt field, PetscInt numDof)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- field - the field

- numDof - the number of dof

## Notes

When adding to the number of dof for a field at a point one must also ensure the count of the total number of dof at the point (summed over the fields and the unnamed default field) is correct by also calling `PetscSectionAddDof()` or `PetscSectionSetDof()`

This is equivalent to

         PetscSection fs;
         PetscSectionGetField(s,field,&fs)
         PetscSectionAddDof(fs,numDof)

## See Also

PetscSection, `PetscSection`, `PetscSectionSetFieldDof()`, `PetscSectionGetFieldDof()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages